Name:           tepsonic
Version:        0.98.3
release:        11%{?dist}
Summary:        A simple, fast and lightweight Qt audio player

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://www.tepsonic.org
Source0:        http://www.tepsonic.org/files/%{name}-%{version}-src.tar.gz
# Adopted from https://bugs.launchpad.net/yarock/+bug/1522829
Patch0:         tepsonic-0.98.3-FindTaglib.patch

BuildRequires:   cmake 
BuildRequires:   pkgconfig 
BuildRequires:   qt-devel 
BuildRequires:   taglib-devel
BuildRequires:   desktop-file-utils 
BuildRequires:   libqxt-devel
BuildRequires:   phonon-devel
Requires:        qt-sqlite 
Requires:        qt-mysql
Requires:        qt
Requires:        qt-x11

%description
A simple, small and fast Qt audio player with collections and all 
the other basic functions that every good audio player should have.


%prep
%setup -q
%patch0 -p1

# Fix binary installation permissions
sed -i '/PERMISSIONS/d' player/CMakeLists.txt

# Remove 3rdparty libraries
rm -rf 3rdparty/*


%build
%cmake -DCMAKE_INSTALL_LIBRARY_DIR=%{_libdir}/%{name} -DLANGS=cs
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
desktop-file-install --dir=%{buildroot}/%{_datadir}/applications --add-category="AudioVideo" --remove-category="Application" %{name}.desktop

# Remove all devel libraries, leave only libname.so.version
rm -f %{buildroot}/%{_libdir}/%{name}/*.so

%find_lang %{name} --with-qt --without-mo
%find_lang lastfmscrobbler --with-qt --without-mo


%files -f %{name}.lang -f lastfmscrobbler.lang
%doc README
%license LICENSE
%{_bindir}/* 
%{_libdir}/%{name}/*.so.*
%{_datadir}/applications/*
%{_datadir}/icons/*

%changelog
* Fri Feb 12 2016 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.98.3-11
- Add tepsonic-0.98.3-FindTaglib.patch (Fix F24FTBFS).
- Add %%license.
- Fix bogus %%changelog entries.

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.98.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.98.3-8
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.98.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Apr 20 2011 Dan Vratil <vratil@progdansoft.com> 0.98.3-1
- update to 0.98.3

* Wed Mar 09 2011 Dan Vratil <vratil@progdansoft.com> 0.98.2-1
- update to 0.98.2
- removed lastmflib dependency
- removed Qxt and translations patches as these are included in the relase now

* Thu Jan 27 2011 Dan Vratil <vratil@progdansoft.com> 0.98.1-6
- add qt and qt-x11 dependencies as requested by Fedora buildsys

* Sun Jan 16 2011 Dan Vratil <vratil@progdansoft.com> 0.98.1-5
- fixed phonon dependency

* Sat Jan 15 2011 Dan Vratil <vratil@progdansoft.com> 0.98.1-4
- remove gettext and phonon depenencies
- fix install permissions and .desktop file
- cosmetic improvements

* Fri Jan 14 2011 Dan Vratil <vratil@progdansoft.com> 0.98.1-3
- fixed paths in .spec
- fixed license GPLv3 -> GPLv3+
- patch CMakeLists.txt to use libqxt package instead of the qxt provided with sources

* Sat Jan 08 2011 Dan Vratil <vratil@progdansoft.com> 0.98.1-2
- added qt-mysql do Requires
- fixed .spec file

* Sat Jan 01 2011 Dan Vratil <vratil@progdansoft.com> 0.98.1-1
- Initial release; based on .spec file from Petr Vaněk
